@echo off
setlocal

set dist=%~dp0

set jars=%dist%\xp.jar;%dist%\resolver.jar

if exist "%dist%\xxe.jar" goto jar
set cp=%dist%\..\class;%jars%
goto fi
:jar
set cp=%dist%\xxe.jar;%jars%
:fi

set catalog=%dist%\..\addon\config\catalog.xml
if exist "%catalog%" set XML_CATALOG_FILES=%catalog%;%XML_CATALOG_FILES%

java -Dxml.catalog.files="%XML_CATALOG_FILES%" -classpath "%cp%" com.xmlmind.xmledit.stylesheet.StyleSheetLoader %*

endlocal
